#
# Runs after the execution of each module in Quartus. This script
# spawns a different script depending on which module was executed.
#

set module   [lindex $quartus(args) 0]
set project  [lindex $quartus(args) 1]
set revision [lindex $quartus(args) 2]

set module_script [file join [file dirname $argv0] "post_$module.tcl"]

if [file readable $module_script] {
    project_open $project -revision $revision
    source $module_script
}
